> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Posts

> - Get posts from a LinkedIn company page.  Pagination is supported to fetch all posts. 

 - 2 credits per call.



## OpenAPI

````yaml GET /get-company-posts
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-company-posts:
    get:
      description: >-
        - Get posts from a LinkedIn company page.  Pagination is supported to
        fetch all posts. 

         - 2 credits per call.
      parameters:
        - name: linkedin_url
          in: query
          description: ''
          required: true
          schema:
            type: string
        - name: start
          in: query
          required: false
          description: ''
          schema:
            type: integer
          example: 0
        - name: pagination_token
          in: query
          required: false
          description: >-
            Required when fetching the next result page. Please use the token
            from the result of your previous call.
          schema:
            type: string
          example: 0
        - name: sort_by
          in: query
          required: false
          description: 'Possible values: top, recent'
          schema:
            type: string
            enum:
              - top
              - recent
            example: top
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyPosts'
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CompanyPosts:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              images:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                      example: https://media.licdn.com/dms/image/example.png
              num_appreciations:
                type: integer
                example: 32
              num_comments:
                type: integer
                example: 173
              num_empathy:
                type: integer
                example: 139
              num_interests:
                type: integer
                example: 4
              num_likes:
                type: integer
                example: 4084
              num_praises:
                type: integer
                example: 264
              num_reposts:
                type: integer
                example: 68
              posted:
                type: string
                example: '2024-06-06 14:40:25'
              poster:
                type: object
                properties:
                  linkedin_url:
                    type: string
                    format: uri
                    example: https://www.linkedin.com/company/example/
                  name:
                    type: string
                    example: Amazon
              reshared:
                type: boolean
                example: false
              text:
                type: string
                example: 🏋️‍♂️ Meet Amazon's very own strongman!
              time:
                type: string
                example: 6 days ago
              url:
                type: string
                format: uri
                example: https://www.linkedin.com/posts/example_post
              urn:
                type: string
                example: '7204492333600440320'
              video:
                type: object
                nullable: true
                properties:
                  duration:
                    type: integer
                    example: 70033
                  stream_url:
                    type: string
                    format: uri
                    example: https://dms.licdn.com/playlist/vid/example.mp4
            required:
              - num_comments
              - text
              - poster
        message:
          type: string
          example: Request successful.
        paging:
          type: object
          properties:
            total:
              type: integer
              example: 100
            per_page:
              type: integer
              example: 10
            current_page:
              type: integer
              example: 1
            next_page:
              type: integer
              example: 2
      required:
        - data
        - message
        - paging
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````